* {
    box-sizing: border-box;
}

.page {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    background-color: lime;
}

.panel {
    display: flex;
    flex-flow: column;
}

.panel-heading {
    font-size: larger;
    background-color: #00c4a7;
    color: white;
    display: flex;
    flex-flow: row;
    margin-bottom: 5px;
    padding: 0.3rem;
}

.panel-content {
    border-style: solid;
    border-width: 1px;
    border-color: #2b74b1;
    display: flex;
    flex-flow: column;
    padding: 10px;
    gap: 15px
}

.panel-content-row {
    display: flex;
    flex-flow: row;
    flex-wrap: wrap;
    gap: 0.2rem;
}

.panel-content-row .help {
    order: 2;
    text-align: center;
    min-width: 1rem;
    max-width: 1rem;
}

.panel-content-row label {
    background-color: #00b89c;
    flex-grow: 1;
    padding: 0.1rem;
}

.panel-content-row .control {
    order: 3;
    display: flex;
    gap: 0.2rem;
    width: 100%;
}

.f-grow-1 {
    flex-grow: 1;
}

.w-full {
    width: 100%;
}

.f-shrink-1 {
    flex-shrink: 1;
}

@media screen and (min-width: 600px) {
    .panel-content-row {
        flex-flow: row;
        gap: 0.5rem;
    }
    .panel-content-row label {
        max-width: 100px;
        min-width: 100px;
        flex-grow: 1;
    }
    .panel-content-row .help {
        order: unset;
    }
    .panel-content-row .control {
        order: unset;
    }
    .panel-content-row input {
        flex-grow: 1;
    }
}

@media screen and (min-width: 600px) {
    .panel {
        width: 600px;
    }
}
